Bug 972337 - Problems booting the Fedora 19 Beta Live iso from a USB drive with the iso-scan/filename parameter
Problems booting the Fedora 19 Beta Live iso from a USB drive with the iso-sc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 12:06 EDT by Ron
Modified: 2013-06-19 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: dracut-029-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:19:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Truncated end of the dmesg output from System 1 (4.29 KB, text/plain)
2013-06-08 12:06 EDT, Ron
no flags Details

  None (edit)
Description Ron 2013-06-08 12:06:26 EDT
Created attachment 758577 [details]
Truncated end of the dmesg output from System 1

Description of problem:
I've tested the recently added "iso-scan/filename" parameter (by the way thanks for implementing it) with the Fedora 19 Beta and it works fine when the iso file is on the internal harddrive but I have problems using it on a USB thumbdrive.


How reproducible:
Reproducible on 2 of 3 systems (see Actual results)


Steps to Reproduce:
I've used the following grub.cfg entry to boot the Fedora 19 Beta Live iso:

if test -f /boot/iso/Fedora-19-Beta.iso; then
    menuentry 'Fedora 19 Beta' {
        set isofile="/boot/iso/Fedora-19-Beta.iso"
        loopback loop "$isofile"
        set root=(loop)
        linux /isolinux/vmlinuz0 iso-scan/filename=$isofile root=live:LABEL=Fedora-Live-Desktop-x86_64-19-Be ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0
        initrd /isolinux/initrd0.img
    }
fi


Actual results:
On some systems the live system won't boot and drops to the emergency shell. I've tested it on three systems:

- System 1 boots fine if the iso file is on the internal harddrive but cannot find the iso file if it is on the USB thumbdrive
- System 2 won't boot from the USB thumbdrive
- System 3 successfully boots from the USB thumbdrive


Expected results:
Successful boot of the live system on all systems.


Additional info:
My assumption would be that the iso detection script is executed before the USB drive is recognized.
Comment 1 Harald Hoyer 2013-06-12 07:03:45 EDT
commit aef0f557910d73bf9a6b2a1bdf670135e4c4d152

This patch might help:

http://git.kernel.org/cgit/boot/dracut/dracut.git/commit/?id=aef0f557910d73bf9a6b2a1bdf670135e4c4d152
Comment 2 Fedora Update System 2013-06-12 09:57:10 EDT
dracut-028-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dracut-028-1.fc19
Comment 3 Fedora Update System 2013-06-13 14:07:55 EDT
Package dracut-028-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-028-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10777/dracut-028-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-14 09:59:41 EDT
dracut-029-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dracut-029-1.fc19
Comment 5 Fedora Update System 2013-06-18 02:19:53 EDT
dracut-029-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Ron 2013-06-19 19:33:14 EDT
Thanks for fixing this bug. I've tested it with the Fedora Nightly 20130618.16 and can confirm that it works.

Note You need to log in before you can comment on or make changes to this bug.